image: alpine/edge
oauth: pages.sr.ht/PAGES:RW
packages:
- hut
- ruby-json
- ruby-jekyll
- ruby-bundler
environment:
  site: paper.us.eu.org
tasks:
- package: |
    cd web
    bundle exec jekyll build
    tar -C _site -cvz . > ../site.tar.gz
- upload: |
    hut pages publish -d $site site.tar.gz